/*	Allgemeine	*/

@viewport {
    width: 320px;
    initial-scale:1.0;
}

body {
    font-family:arial;
    box-sizing: border-box;
}

.noData {
    color: red;
}

.highlighted {
    font-weight: bold;
}

/*  overlayWindows */

div.overlayWindow {
    position: fixed;
    border:1px solid;
    padding:10px;
    z-index:9999999;
    background-color:white;
    box-sizing: border-box;
    overflow:auto;
}

div.menu button{
    width: 100px;
}

.centerOfAttention {
    height:80%;
    width:80%;
    left: 10%;
}

.centerOfAttention textArea {
    width:99%;
    height:86%;
}

div.exampleData {
    float: right;
    right: 1%;
    height:24%;
    width:33%;
}

table.exampleData {
    width:100%;
	border: 1px solid;
	border-collapse: collapse;
}

table.exampleData td, table.exampleData th{
	border: 1px solid;
}

.exampleCommit {
    float: right;
    right: 1%;
    top: 27%;
    height:72%;
    width:33%;
}

.exampleCommit textArea {
    width:99%;
    height:92%;
}

div.probableParams {
    float: right;
    right: 1%;
    height:72%;
    width:48%;
}

table.probableParams {
    width:100%;
}

table.probableParams td{
    width:100%;
    cursor:pointer;
    background-color: lightgrey;
}

.probableParam {
    font-size:10px;
}

/*  instructions */

.instructions {
    position: relative;
    top: 70px;
}

ul {
    list-style-type:none;
    padding-left: 10px;
}

ul.columns {
    position: relative;
    top:-15px;
}

li.column, li.condition, li.action {
    border: 1px dotted;
    margin: 2px;
    padding: 2px;
}

.column {
    color:blue;
}

.condition {
    color:green;
}

.action {
    color:red;
}

.parameter {
    color:black;
}

input {
    display: inline-block;
    height:20px;
    box-sizing: border-box;
    color: inherit;
}

input.column, input.condition, input.action {
    width:auto;
}

input.parameter {
    width:90%;
}

table.parameters {
    width:100%;
}

a.delete, a.add {
    text-decoration: none;
    border: 1px solid;
    display: inline-block;
    width:20px;
    height:20px;
    text-align:center;
    vertical-align: middle;
    box-sizing: border-box;
}

a.add.column, a.add.condition, a.add.action {
    position: relative;
    left: 12px;
}

a.add.parameter {
    position: relative;
    left: 2px;
}

a.delete {
    color: inherit;
}